Bug 495113 - rhn-i18n-release-notes packaged with a spec file
rhn-i18n-release-notes packaged with a spec file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Release Notes (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
Sayli Karmarkar
: Documentation
Depends On:
Blocks: 456984
  Show dependency treegraph
 
Reported: 2009-04-09 15:26 EDT by Milan Zázrivec
Modified: 2009-09-10 16:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:45:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2009-04-09 15:26:08 EDT
Description of problem:
rhn-i18n-release-notes package contains spec file from its own src.rpm

Version-Release number of selected component (if applicable):
rhn-i18n-release-notes-5.3.4-1

How reproducible:
Always

Steps to Reproduce:
1. Look into your Satellite 5.3.0 iso under Satellite/ directory
2. rpm -qpl rhn-i18n-release-notes* | grep spec
  
Actual results:
$ rpm -qpl rhn-i18n-release-notes-5.3.4-1.el5sat.noarch.rpm | grep spec
/var/lib/tomcat5/webapps/rhn/help/release-notes/rhn-i18n-release-notes.spec

Expected results:
No spec file.

Additional info:
Not a big deal, just looks a little funny.
Comment 1 Jesus M. Rodriguez 2009-04-14 13:50:05 EDT
fixed in:

rhn-i18n-release-notes-5.3.6-1
rhn-i18n-guides-5.3.7-1
Comment 2 Jesus M. Rodriguez 2009-04-14 13:52:42 EDT
TEST PLAN
-----------
verify both release-notes and guides

1) cd to the Satellite/ directory of your 5.3.0 iso
2) rpm -qpl rhn-i18n* | grep spec
3) no spec file is found
Comment 3 Sayli Karmarkar 2009-04-16 18:03:53 EDT
I can still see spec file:

[root@rlx-2-08 Satellite]# rpm -qpl rhn-i18n* | grep spec
/var/lib/tomcat5/webapps/rhn/help/rhn-i18n-guides.spec
/var/lib/tomcat5/webapps/rhn/help/release-notes/rhn-i18n-release-notes.spec

with 
 Satellite-5.3.0-RHEL5-re20090413.0-i386-embedded-oracle.iso.
Comment 4 Jesus M. Rodriguez 2009-04-17 09:48:12 EDT
LIke it says in comment #1 you need to use the specified versions which are ONLY on the 20090414.0 or later iso.
Comment 5 Sayli Karmarkar 2009-04-17 12:17:54 EDT
Ah..Sorry about confusion. Works with Satellite-5.3.0-RHEL5-re20090414.0. Moving to verified.
Comment 6 Preethi Thomas 2009-08-31 16:48:44 EDT
Release Pending
sun-x4200-01.rhts.bos.redhat.com
Comment 7 Brandon Perkins 2009-09-10 16:45:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.